:root {
  --blue: #2D2E72;
  --gray: #F2F2F2;
  --green: #43DDAA;
  --light: #EAEBFF;
  --white: #FFFFFF;
}

/*
* Header
*/
#main-nav .button.green {
  margin-right: 0;
}

#main-nav .outer-button {
  margin: 0;
  color: var(--white);
  border-color: var(--green);
  background: none;
  line-height: 1;
}

#main-nav .outer-button svg {
  transform: rotate(-45deg);
}

#main-nav .menu-header-buttons {
  width: 100%;
  margin-top: 2rem;
}

#main-nav .header-menu-buttons .button {
  width: fit-content;
}

@media (max-width: 991.98px) {
  #main-nav .header-bar-buttons {
    display: none !important;
  }

  #main-nav .button.green {
    display: block !important;
  }
}

@media screen and (max-width: 600px) {
  #main-nav .button.green {
    width: 100% !important;
    text-align: center;
  }
}

@media (min-width: 992px) {
  #main-nav .menu-header-buttons {
    display: none;
  }
}

/*
* Hero
*/
@media (min-width: 1024px) {
  .page-template-default header.fullwidth {
    background: linear-gradient(81deg, #2D2E72 36.37%, #000155 124.56%);
  }

  .page-template-default header.fullwidth .gradient {
    background: linear-gradient(91deg, #303880 40.4%, rgba(0, 1, 85, 0.00) 98.71%);
  }

  .page-template-default header.fullwidth img {
    width: 100%;
    right: 0;
    opacity: 1;
    filter: none;
    object-position: center right;
  }
}

/*
* Nostokortit
*/
.nostokortit {
  margin-top: 8rem;
  margin-bottom: 8rem;
}

.nostokortit .johdantoteksti {
  --bs-gutter-x: 10vw;
}

.nostokortit .johdantoteksti .vasen .heading-arrow-tail {
  white-space: nowrap;
}

.nostokortit .johdantoteksti .vasen .heading-arrow-tail::after {
  content: '';
  display: inline-block;
  width: 0.8em;
  height: 0.8em;
  margin-left: 1em;
  background: url('img/arroweb.svg') no-repeat center / contain;
  vertical-align: baseline;
}

.nostokortit .kuva {
  position: relative;
}

.nostokortit .kuva img {
  display: block;
  aspect-ratio: 16/9;
  object-fit: cover;
  width: 100%;
  height: auto;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
}

.nostokortit .pikkuteksti {
  position: absolute;
  top: 12px;
  left: 12px;
  border-radius: 8px;
  font-size: 16px;
  background: var(--light);
  padding: 10px 18px 8px;
  color: var(--blue);
  font-weight: 900;
  line-height: 1;
  z-index: 2;
}

.nostokortit .sisalto {
  background: var(--gray);
  padding: 24px;
  border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
  color: var(--blue);
}

.nostokortit .sisalto:first-child {
  border-radius: 8px;
}

.nostokortit .sisalto h2,
.nostokortit .sisalto h3,
.nostokortit .sisalto h4 {
  text-transform: none;
  font-size: 2rem;
}

.nostokortit .sisalto p {
  font-size: 22px;
  line-height: 1.3;
}

.nostokortit .sisalto ul li,
.nostokortit .sisalto ol li {
  font-weight: 500;
}

.nostokortit .button {
  background: var(--blue);
  color: var(--white);
}

.nostokortit .button:hover,
.nostokortit .button:focus {
  color: var(--blue);
  background: none;
}

/*
* Hinnasto
*/
.hinnasto {
  position: relative;
  color: var(--blue);
}

.hinnasto.has-tausta {
  min-height: 50vh;
  padding-top: 5rem;
  padding-bottom: 5rem;
}

.hinnasto .tausta {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
  overflow: hidden;
  background: var(--white);
}

.hinnasto .tausta img {
  width: 100%;
  height: 100%;
  display: block;
  object-fit: cover;
  mix-blend-mode: luminosity;
}

.hinnasto .tausta:after {
  content: '';
  position: absolute;
  inset: 0;
  z-index: 2;
  background: linear-gradient(90deg, #FFF 25.83%, rgba(255, 255, 255, 0.00) 81.49%);
  pointer-events: none;
}

.hinnasto .sisalto {
  position: relative;
  z-index: 2;
}

.hinnasto .otsikko {
  max-width: 500px;
  margin-left: auto;
  margin-right: auto;
}

.hinnasto .kuvausteksti>*:first-child {
  margin-top: 0;
}

.hinnasto .kuvausteksti>*:last-child {
  margin-bottom: 0;
}

.hinnasto .sisalto .hinnasto p,
.hinnasto ul li {
  font-size: 25px;
}

.hinnasto .hinta {
  font-size: 30px;
  font-weight: 600;
  margin: 0;
}

.hinnasto .hinta .pre {
  display: block;
}

.hinnasto .hinta .big {
  font-size: 2.25em;
}

@media (max-width: 992px) {
  .hinnasto.has-tausta {
    padding-top: 3rem;
    padding-bottom: 3rem;
  }

  .hinnasto .hinta,
  .hinnasto p,
  .hinnasto ul li {
    font-size: 22px;
  }
}